<?php
/**
 * This file is responsible for the rendering of the header of the theme.
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>	
    <link rel="profile" href="http://gmpg.org/xfn/11">
	<!--[if lt IE 9]>
	<script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/html5.js"></script>
	<![endif]-->
<?php
    wp_head();
	if(get_theme_mod('floatmenu',1)): ?> 
		<script type="text/javascript"> var floatmenu = 1; </script> 
	<?php
    endif;
     if(get_theme_mod('pre_loader_switch', 1)){
        ?>
        <style type="text/css">
            ##main_container {
                opacity: 0;
			 	/* IE 8 */
				-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
				/* IE 5-7 */
				filter: alpha(opacity=0);
            }
        </style>
    <?php
    } else {
        ?>
        <style type="text/css">
            ##main_container {
                opacity: 1;
            }
        </style>
    <?php
    }

    if(get_theme_mod('tracking_code')!='') {
        echo get_theme_mod('tracking_code');
    }
    ?>
	<script>
		$ = jQuery;
	</script>
    
</head>
<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage" id="body">
  <?php
  
  	$sortable_value = maybe_unserialize( get_theme_mod( 'onepage_modules', array( 'welcome', 'pages' , 'portfolio' , 'team' , 'statistics', 'services', 'testimonials', 'plans', 'contact') ) ); 
				
  
    $menu_args = array(
        'menu' => get_theme_mod('nav_menu_name'),
        'container' => '',
        'menu_class' => '',
        'items_wrap' => '%3$s',
        'walker' => new Navthemes_Nav_Menu()
    );

    $modules = array(

			'welcome' =>array(
			'show' => get_theme_mod('showin_menu_welcome', 0), 
			'text' => get_theme_mod('welcome_menu_title', 'Welcome'),
			'link' => '#welcome'
		), 
	 
 			'pages' =>array(
			'show' => get_theme_mod('showin_menu_pages', 1), 
			'text' => get_theme_mod('pages_menu_title', 'Pages'),
			'link' => '#pages'
		), 
	 
			'portfolio' =>array(
			'show' => get_theme_mod('showin_menu_portfolio', 1), 
			'text' => get_theme_mod('portfolio_menu_title', 'Portfolio'),
			'link' => '#portfolio_section'
		), 
			'team' =>array(
			'show' => get_theme_mod('showin_menu_team', 1), 
			'text' => get_theme_mod('team_menu_title', 'Team'),
			'link' => '#team_wrapper'
		),
	
			'statistics' =>array(
			'show' => get_theme_mod('showin_menu_statistics', 1), 
			'text' => get_theme_mod('statistics_menu_title', 'Statistics'), 
			'link' => '#statistics'
		),
	
			'services' =>array(
			'show' => get_theme_mod('showin_menu_services', 1), 
			'text' => get_theme_mod('services_menu_title', 'Services'), 
			'link' => '#services'
		),
	 
			'testimonials' =>array(
			'show' => get_theme_mod('showin_menu_testimonial', 1), 
			'text' => get_theme_mod('testimonials_menu_title', 'Testimonials'), 
			'link' => '#testimonials'
		),
			'plans' =>array(
			'show' => get_theme_mod('showin_menu_plans', 1), 
			'text' => get_theme_mod('plans_menu_title', 'Plans'), 
			'link' => '#plans'
		),
			'twitter' =>array(
			'show' => get_theme_mod('showin_menu_twitter', 0), 
			'text' => get_theme_mod('twitter_menu_title', 'twitter'), 
			'link' => '#twitter'
		),
			'contact' =>array(
			'show' => get_theme_mod('showin_menu_contact', 1), 
			'text' => get_theme_mod('contacts_menu_title', 'Contact'), 
			'link' => '#contacts'
		), 
    );
	
?>
<?php
if(!is_404()) {
    ?>
    <div id="main_container">
    <!--Main menu-->
    <div class="menu-wrap">
        <nav class="menu">
            <div class="icon-list">
               <ul itemtype="https://schema.org/SiteNavigationElement">
               <li class="page-scroll"><a href="<?php echo is_front_page() ? '#home' : get_site_url(); ?>"><?php _e('Home', 'air'); ?></a></li>
                    <?php
                     if (get_theme_mod('nav_menu_position','after') == 'before') 
					{
                       if (get_theme_mod('nav_menu_name') != 'none') {
                            wp_nav_menu($menu_args);
                        }
                    }
					if(get_theme_mod('one_page_switch', 1)):
				  if ( ! empty( $sortable_value ) ) : ?>
                    <?php
					  foreach ($sortable_value as $checked_value) {
                        if ($modules[$checked_value]['show']) {
                            ?>
                            <li class="page-scroll">
                                <a itemprop="url" href="<?php echo (!is_front_page() ? get_site_url().'/' : '') . $modules[$checked_value]['link']; ?>">
                                    <span itemprop="name"><?php echo $modules[$checked_value]['text']; ?></span>
                                </a>
                            </li>
                        <?php
                        }
                    } ?>
          		 <?php endif; // if not empty sorter
					endif; // if one page switch
					
                   if (get_theme_mod('nav_menu_position','after') == 'after') {
                        if (get_theme_mod('nav_menu_name') != 'none') {
                            wp_nav_menu($menu_args);
                        }
                    }
                    ?>
                </ul>
            </div>
        </nav>
        <button class="close-button" id="close-button"><?php _e('Close Menu', 'air'); ?></button>
        <div class="morph-shape" id="morph-shape" data-morph-open="M-1,0h101c0,0,0-1,0,395c0,404,0,405,0,405H-1V0z">
            <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 100 800"
                 preserveAspectRatio="none">
                <path d="M-1,0h101c0,0-97.833,153.603-97.833,396.167C2.167,627.579,100,800,100,800H-1V0z"/>
            </svg>
        </div>
    </div>
    <button class="menu-button" id="open-button"><?php _e('Open Menu', 'air'); ?></button>
    <div class="content-wrap">
    <!--header_warpper-->
    <div class="header_wrapper">
        <?php
        if (is_front_page() && get_theme_mod('homepage_topslider_visible', 1)) {
         		get_template_part('header','front'); 
		  }
        ?>
        <!-- Menu Wrapper -->
        <div id="nav_wrapper">
            <div class="container">
                <div id="logo" class="text-center pull-left">
                	<?php 
						echo is_front_page() ? '<h1 class="site-title">' : '<p class="site-title">';  
					?>
            		<a href="<?php echo home_url(); ?>" class="logo pull-left">
					<?php 
                     if(get_theme_mod('logo', get_template_directory_uri() . '/images/logo.png')) 
                        echo '<img class="logo" src="'. get_theme_mod('logo' , image('logo-white.png')) .'">'; 
                    else  
                     bloginfo('name', 'space-north'); ?>
                    </a>
                   <?php 
				 	echo is_front_page() ? '</h1>' : '</p>';  
				   ?>
      
      </div>
                <nav class="text-center">
                  <ul class="pull-right" itemtype="https://schema.org/SiteNavigationElement">
                        <li class="page-scroll"><a href="<?php echo is_front_page() ? '#home' : get_site_url(); ?>"><?php _e('Home', 'air'); ?></a></li>
                        <?php
                     if (get_theme_mod('nav_menu_position','after') == 'before') 
					{
                       if (get_theme_mod('nav_menu_name') != 'none') {
                            wp_nav_menu($menu_args);
                        }
                    }
					if(get_theme_mod('one_page_switch', 1)):
			
				  if ( ! empty( $sortable_value ) ) : ?>
                    <?php
					  foreach ($sortable_value as $checked_value) {
                        if ($modules[$checked_value]['show']) {
                            ?>
                            <li class="page-scroll">
                                <a itemprop="url" href="<?php echo (!is_front_page() ? get_site_url().'/' : '') . $modules[$checked_value]['link']; ?>">
                                    <span itemprop="name"><?php echo $modules[$checked_value]['text']; ?></span>
                                </a>
                            </li>
                        <?php
                        }
                    } ?>
          		 <?php endif; // if not empty sorter
					endif; // if one page switch
					
                   if (get_theme_mod('nav_menu_position','after') == 'after') {
                        if (get_theme_mod('nav_menu_name') != 'none') {
                            wp_nav_menu($menu_args);
                        }
                    }
                    ?>
                    </ul>
                </nav>
            </div>
        </div>
        <!-- Menu Wrapper -->
        <?php
       if(!is_front_page() ) {
           	get_template_part('header','inner');
        }
        ?>
        <div class="clearfix"></div>
    </div>
    <!--header_warpper end-->
<?php
} // if !404
?>